%define name gfcc
%define version 0.7.4
%define release 3mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: GTK+ Firewall Control Center
Source0: %{name}-%{version}.tar.bz2
URL: http://icarus.autostock.co.kr/ 
Copyright: GPL
Group: System/Configuration/Networking
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
Requires: ipchains
Requires: gtk+ >= 1.2.0
Prefix: /usr

%description
gfcc (GTK+ Firewall Control Center) is a GTK+ application which can control
Linux firewall policies and rules, based on ipchains package. 

%prep
%setup -q 


%build
(  tar xvfz libipfwc.tar.gz;  cd libipfwc; make CFLAGS="$RPM_OPT_FLAGS")
%configure --with-ipfwc=./libipfwc --datadir=%{prefix}/share

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gfcc/rules

make prefix=$RPM_BUILD_ROOT%{prefix} datadir=$RPM_BUILD_ROOT%{prefix}/share \
  install

# Menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/gfcc <<EOF
?package(gfcc): command="/usr/bin/gfcc" needs="X11" \
icon="none" section="Configuration/Networking" \
title="gfcc" longtitle="GTK+ Firewall Control Center"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.ko TODO texinfo.tex
%{prefix}/bin/*
%{prefix}/share/gfcc/*
/usr/lib/menu/gfcc

%changelog
* Thu Apr 06 2000 John Buswell <johnb@mandrakesoft.com> 0.7.4-3mdk
- fixed prefix
- fixed menu entry

* Mon Apr 03 2000 John Buswell <johnb@mandrakesoft.com> 0.7.4-2mdk
- postun script fix

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4
- Removed version number from spec filename
- fixed groups
- spec-helper
- Added menu

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.3-3mdk
- Use a %_configure.

* Tue Dec  7 1999 Philippe Libat <philippe@mandrakesoft.com>
- added --datadir
- Add doc

* Tue Nov 23 1999 Philippe Libat <philippe@mandrakesoft.com>
- Upgrade to 0.7.3

* Sat Nov 20 1999 Jarkko Haapalainen <eagle@opp.ysakk.fi>
- Updated to 0.7.2.1 and little updates to .spec file

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec

* Thu Jul 01 1999 Gianluca Granero <granero@usa.net>
 Updated to 0.7.0

* Mon Jun 07 1999 Gianluca Granero <granero@usa.net>
- First RPM package

# end of file
